player_position3d_geom Struct Reference

Request/reply: Query geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Pose of the robot base, in the robot cs (m, m, m, rad, rad, rad). More...
player_bbox3d_t | size
| Dimensions of the base (m, m, m). More...

## Detailed Description

Request/reply: Query geometry.

To request robot geometry, send a null PLAYER_POSITION3D_GET_GEOM request.

## Member Data Documentation

player_pose3d_t player_position3d_geom::pose

Pose of the robot base, in the robot cs (m, m, m, rad, rad, rad).

player_bbox3d_t player_position3d_geom::size

Dimensions of the base (m, m, m).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45